Onboard a new Business or Merchant into the ACH application ( SUNSETTING )
curl --request POST \
--url https://api.grailpay.com/3p/api/v2/businesses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kyb": true,
"client_reference_id": "123456",
"first_name": "John",
"last_name": "Doe",
"email": "test@example.org",
"phone": "1234567890",
"business": {
"name": "John Incorporation",
"tin": "123456789",
"address": {
"line_1": "10554 W Quarles Ave",
"city": "Littleton",
"state": "CO",
"zip": "80127",
"line_2": "Suite 123"
},
"transaction_fee_percent": 2.5,
"transaction_fee_fixed": 100,
"maximum_transaction_fee": 1000,
"payout_type": "individual",
"trading_name": "John Incorporation",
"entity_type": "Sole Trader",
"incorporation_date": "2024-02-02",
"incorporation_state": "CO",
"industry": "Nature of business",
"industry_classification": {
"code_type": "SIC",
"codes": [
"NAICS 42"
],
"description": "abcdefg"
},
"source_of_wealth": "2344",
"source_of_funds": "skjdkd",
"first_transaction_completed_at": "2024-05-02 16:14:25",
"product_type": "financial",
"registered_as_inactive": false,
"address_type": "Registered"
},
"business_owners": [
{
"first_name": "John",
"last_name": "Dew",
"dob": "2023-04-11",
"ssn9": "123456789",
"address": {
"line_1": "10554 W Quarles Ave",
"city": "Littleton",
"state": "CO",
"zip": "80127",
"line_2": "Suite 123"
},
"email": "[email protected]",
"phone": "2457856490",
"is_beneficial_owner": true,
"is_director": false,
"is_account_owner": false,
"is_share_holder": false,
"is_significant_control_person": false,
"ownership_percentage": 25,
"occupation": "Co-founder",
"first_transaction_completed_at": "2024-05-02 16:14:25",
"product_type": "financial"
}
],
"bank_account": {
"custom": {
"account_number": "123456789",
"routing_number": "123456789",
"account_name": "John Doe",
"account_type": "checking"
}
},
"billing_merchant_user_uuid": "2bcf2ac3-38fc-4238-a638-4f092821fc27",
"billing_processor_mid": "21245678932"
}
'import requests
url = "https://api.grailpay.com/3p/api/v2/businesses"
payload = {
"kyb": True,
"client_reference_id": "123456",
"first_name": "John",
"last_name": "Doe",
"email": "test@example.org",
"phone": "1234567890",
"business": {
"name": "John Incorporation",
"tin": "123456789",
"address": {
"line_1": "10554 W Quarles Ave",
"city": "Littleton",
"state": "CO",
"zip": "80127",
"line_2": "Suite 123"
},
"transaction_fee_percent": 2.5,
"transaction_fee_fixed": 100,
"maximum_transaction_fee": 1000,
"payout_type": "individual",
"trading_name": "John Incorporation",
"entity_type": "Sole Trader",
"incorporation_date": "2024-02-02",
"incorporation_state": "CO",
"industry": "Nature of business",
"industry_classification": {
"code_type": "SIC",
"codes": ["NAICS 42"],
"description": "abcdefg"
},
"source_of_wealth": "2344",
"source_of_funds": "skjdkd",
"first_transaction_completed_at": "2024-05-02 16:14:25",
"product_type": "financial",
"registered_as_inactive": False,
"address_type": "Registered"
},
"business_owners": [
{
"first_name": "John",
"last_name": "Dew",
"dob": "2023-04-11",
"ssn9": "123456789",
"address": {
"line_1": "10554 W Quarles Ave",
"city": "Littleton",
"state": "CO",
"zip": "80127",
"line_2": "Suite 123"
},
"email": "[email protected]",
"phone": "2457856490",
"is_beneficial_owner": True,
"is_director": False,
"is_account_owner": False,
"is_share_holder": False,
"is_significant_control_person": False,
"ownership_percentage": 25,
"occupation": "Co-founder",
"first_transaction_completed_at": "2024-05-02 16:14:25",
"product_type": "financial"
}
],
"bank_account": { "custom": {
"account_number": "123456789",
"routing_number": "123456789",
"account_name": "John Doe",
"account_type": "checking"
} },
"billing_merchant_user_uuid": "2bcf2ac3-38fc-4238-a638-4f092821fc27",
"billing_processor_mid": "21245678932"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kyb: true,
client_reference_id: '123456',
first_name: 'John',
last_name: 'Doe',
email: 'test@example.org',
phone: '1234567890',
business: {
name: 'John Incorporation',
tin: '123456789',
address: {
line_1: '10554 W Quarles Ave',
city: 'Littleton',
state: 'CO',
zip: '80127',
line_2: 'Suite 123'
},
transaction_fee_percent: 2.5,
transaction_fee_fixed: 100,
maximum_transaction_fee: 1000,
payout_type: 'individual',
trading_name: 'John Incorporation',
entity_type: 'Sole Trader',
incorporation_date: '2024-02-02',
incorporation_state: 'CO',
industry: 'Nature of business',
industry_classification: {code_type: 'SIC', codes: ['NAICS 42'], description: 'abcdefg'},
source_of_wealth: '2344',
source_of_funds: 'skjdkd',
first_transaction_completed_at: '2024-05-02 16:14:25',
product_type: 'financial',
registered_as_inactive: false,
address_type: 'Registered'
},
business_owners: [
{
first_name: 'John',
last_name: 'Dew',
dob: '2023-04-11',
ssn9: '123456789',
address: {
line_1: '10554 W Quarles Ave',
city: 'Littleton',
state: 'CO',
zip: '80127',
line_2: 'Suite 123'
},
email: '[email protected]',
phone: '2457856490',
is_beneficial_owner: true,
is_director: false,
is_account_owner: false,
is_share_holder: false,
is_significant_control_person: false,
ownership_percentage: 25,
occupation: 'Co-founder',
first_transaction_completed_at: '2024-05-02 16:14:25',
product_type: 'financial'
}
],
bank_account: {
custom: {
account_number: '123456789',
routing_number: '123456789',
account_name: 'John Doe',
account_type: 'checking'
}
},
billing_merchant_user_uuid: '2bcf2ac3-38fc-4238-a638-4f092821fc27',
billing_processor_mid: '21245678932'
})
};
fetch('https://api.grailpay.com/3p/api/v2/businesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "<string>",
"data": {
"client_reference_id": "company_45458",
"uuid": "9d264b4a-006c-4d01-acd0-730e27784c59",
"first_name": "John",
"last_name": "Dew",
"email": "john.dew@example.com",
"phone": "2457856490",
"business": {
"name": "John Incorporation",
"tin": "922454715",
"address_type": "Registered",
"address": {
"street_address": "10554 W Quarles Ave",
"additional_address": "Suite 123",
"city": "Littleton",
"state": "CO",
"country": "US",
"zip": "80127"
},
"trading_name": "John Incorporation",
"entity_type": "Sole Trader",
"incorporation_date": "2024-02-02",
"incorporation_state": "CO",
"industry": "Nature of business",
"industry_classification": {
"code_type": "SIC",
"codes": [
"NAICS 42",
"NAICS 45"
],
"description": "NAICS"
},
"source_of_wealth": "2344",
"source_of_funds": "Industry",
"first_transaction_completed_at": "2024-05-02 16:14:25",
"product_type": "financial",
"registered_as_inactive": false,
"transaction_fee_percent": 2.5,
"transaction_fee_fixed": 100,
"maximum_transaction_fee": 1000
},
"user_status": "APPROVED",
"kyb_status": "APPROVED",
"kyb_rejected_reason": null,
"financing_credit_balance": null,
"payout_type": "batch",
"role": "business",
"vendor_name": "Fintech",
"business_owners": [
{
"first_name": "John",
"last_name": "Dew",
"dob": "2023-04-11",
"ssn9": "123456789",
"address_line_1": "10554 W Quarles Ave",
"address_line_2": "Suite 123",
"city": "Littleton",
"state": "CO",
"zip": "80127",
"is_beneficial_owner": true,
"is_director": false,
"is_account_owner": false,
"is_share_holder": false,
"is_significant_control_person": false,
"ownership_percentage": 25,
"email": "john.dew@example.com",
"phone": "2457856490",
"nationality": "US",
"occupation": "Co-founder",
"first_transaction_completed_at": "2024-05-02 16:14:25",
"product_type": "financial"
}
],
"valid_account": "Valid",
"bank_account": {
"risk": {
"confidence_score": "0.83",
"threshold": "0.61"
}
},
"created_at": "2024-10-02 14:06:14",
"updated_at": "2024-10-02 14:06:17"
},
"errors": {},
"error_code": "<string>"
}{
"status": false,
"message": "Invalid Parameters Received",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "Invalid Token",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "The request cannot be executed due to a detected conflict with a duplicate request.",
"data": null,
"errors": null,
"error_code": "server_error"
}{
"status": false,
"message": "The given data was invalid.",
"data": null,
"errors": {
"kyb": [
"The kyb field must be true or false."
],
"client_reference_id": [
"The Client reference id must be a string.",
"The Client reference id may not be greater than 255 characters."
],
"payout_type": [
"The payout type must be a string.",
"The payout type should be either individual or batch."
],
"first_name": [
"The First name must be a string.",
"The first name may not be greater than 56 characters.",
"The First name field is required."
],
"last_name": [
"The Last name must be a string.",
"The last name may not be greater than 56 characters.",
"The Last name field is required."
],
"email": [
"The Email must be a valid email address.",
"The Email field is required."
],
"phone": [
"The Phone must be a string.",
"Phone numbers should consist of 10 digits and should not contain the +1 prefix or any special characters.",
"The Phone field is required."
],
"business": [
"The business field is required."
],
"business.name": [
"The Business name must be a string.",
"The Business name may not be greater than 64 characters.",
"The Business name field is required."
],
"business.tin": [
"The Tin number must be a string.",
"The Tin number must consist of 9 digit.",
"The Tin number field is required."
],
"business.trading_name": [
"The Business trading name must be a string.",
"The Business trading name field is required."
],
"business.entity_type": [
"The Entity type must be a string.",
"The Entity type field is required."
],
"business.incorporation_date": [
"The Incorporation date is not a valid date.",
"The Incorporation date does not match the format Y-m-d.",
"The Incorporation date field is required."
],
"business.incorporation_state": [
"The Incorporation state must be a string.",
"The Incorporation state must be valid US state.",
"The Incorporation state field is required."
],
"business.industry": [
"The Industry must be a string."
],
"business.industry_classification.code_type": [
"The Industry classification code type must be a string.",
"The Industry classification code type is required when industry classification is present."
],
"business.industry_classification.codes": [
"The Industry classification codes is required when industry classification is present.",
"The business.industry_classification.codes.0 must be a string."
],
"business.industry_classification.description": [
"The Industry classification description must be a string.",
"The Industry classification description is required when industry classification is present."
],
"business.source_of_wealth": [
"The Source of wealth must be a string."
],
"business.first_transaction_completed_at": [
"The First transaction completed date does not match the format Y-m-d H:i:s.",
"The First transaction completed date must be a date before now."
],
"business.address_type": [
"The Address type must be a string.",
"The Address type field is required."
],
"business.address": [
"The business.address field is required."
],
"business.address.line_1": [
"The Business address line 1 must be a string.",
"The Business address line 1 field is required."
],
"business.address.line_2": [
"The Business address line 2 must be a string."
],
"business.address.city": [
"The Business city name must be a string.",
"The Business city name may not be greater than 56 characters.",
"The Business city name field is required.",
"The Business city name field only accepts letters (a-z, A-Z), numbers (0-9), hyphens (-), periods (.), apostrophes ('), and spaces."
],
"business.address.state": [
"The Business state name must be a string.",
"The Business state name may not be greater than 2 characters.",
"The Business state name must be valid US state.",
"The Business state name field is required."
],
"business.address.zip": [
"The Business zip code must be a string.",
"The Business zip code must consist of 5 digit.",
"The Business zip code field is required."
],
"business.transaction_fee_percent": [
"The Transaction fee percent must be a number.",
"The Transaction fee percent may not be greater than 99.99.",
"The Transaction fee percent must be at least 0."
],
"business.maximum_transaction_fee": [
"The business maximum transaction fee must be an integer.",
"The business maximum transaction fee must be at least 0."
],
"business.transaction_fee_fixed": [
"The business transaction fee fixed must be an integer.",
"The business transaction fee fixed must be at least 0."
],
"bank_account.plaid": [
"If a bank account exists, Plaid should not be presented.",
"The Plaid account id and access token is required."
],
"bank_account.plaid.access_token": [
"The Plaid access token is required when plaid is present.",
"The Plaid access token must be a string."
],
"bank_account.plaid.account_id": [
"The Plaid account id is required when plaid is present.",
"The Plaid account id must be a string."
],
"bank_account.custom": [
"If a plaid account exists, Bank account should not be presented.",
"The Bank account routing number, account number, name of account and account type is required."
],
"bank_account.custom.account_number": [
"The Bank account number must be a string.",
"The Bank account number may not be greater than 17 characters.",
"The Bank account number is required when bank account is present."
],
"bank_account.custom.routing_number": [
"The Bank routing number must be a number.",
"The Bank routing number must consist of 9 digit",
"The Bank routing number is required when bank account is present."
],
"bank_account.custom.account_name": [
"The Bank account name must be a string.",
"The Bank account name is required when bank account is present."
],
"bank_account.custom.account_type": [
"The Bank account type must be a string.",
"The Bank account type should be either savings or checking.",
"The Bank account type is required when bank account is present."
],
"bank_account.custom.validate_account_routing": [
"The Validate account and routing number field must be true or false."
],
"billing_merchant_user_uuid": [
"The requested billing merchant user uuid does not exist.",
"The Billing Merchant User UUID must be a valid UUID.",
"The billing merchant is deleted and cannot be used for billing purposes."
],
"billing_processor_mid": [
"The requested billing processor MID does not exist.",
"The billing processor MID is deleted and cannot be used for billing purposes."
],
"business_owners": [
"The Business owners field is required.",
"The number of Business owners should not exceed 5"
],
"business_owners.0.first_name": [
"The Business owner first name must be a string.",
"The Business owner first name may not be greater than 56 characters.",
"The Business owner first name field is required."
],
"business_owners.0.last_name": [
"The Business owner last name must be a string.",
"The Business owner last name may not be greater than 56 characters.",
"The Business owner last name field is required."
],
"business_owners.0.email": [
"The Business owner email must be a valid email address.",
"The Business owner email field is required."
],
"business_owners.0.phone": [
"The Business owner phone must be a string.",
"The Business owner phone should consist of 10 digits without the +1 prefix.",
"The Business owner phone field is required."
],
"business_owners.0.dob": [
"The Business owner date of birth does not match the format Y-m-d.",
"The Business owner date of birth field is required."
],
"business_owners.0.ssn9": [
"The Business owner SSN must be a string.",
"The Business owner SSN must consist of 9 digit.",
"The Business owner SSN field is required."
],
"business_owners.0.address.line_1": [
"The Business owner address line 1 must be a string.",
"The Business owner address line 1 field is required."
],
"business_owners.0.address.line_2": [
"The Business owner address line 2 must be a string."
],
"business_owners.0.address.city": [
"The Business owner city name must be a string.",
"The Business owner city name may not be greater than 56 characters.",
"The Business owner city name field only accepts letters (a-z, A-Z), numbers (0-9), hyphens (-), periods (.), apostrophes ('), and spaces.",
"The Business owner city name field is required."
],
"business_owners.0.address.state": [
"The Business owner state name must be a string.",
"The Business owner state name may not be greater than 2 characters.",
"The Business owner state name must be valid US state.",
"The Business owner state name field is required."
],
"business_owners.0.address.zip": [
"The Business owner zip code must be a string.",
"The Business owner zip code must consist of 5 digit.",
"The Business owner zip code field is required."
],
"business_owners.0.is_beneficial_owner": [
"The Business owner is beneficial owner field must be true or false."
],
"business_owners.0.is_director": [
"The Business owner is director field must be true or false."
],
"business_owners.0.is_account_owner": [
"The Business owner is account owner field must be true or false."
],
"business_owners.0.is_share_holder": [
"The Business owner is share holder field must be true or false."
],
"business_owners.0.is_significant_control_person": [
"The Business owner is significant control person field must be true or false."
],
"business_owners.0.occupation": [
"The Business owner occupation must be a string."
],
"business_owners.0.ownership_percentage": [
"The Business owner ownership percentage must be a number.",
"The Business owner ownership percentage must be between 0 and 100."
],
"business_owners.0.first_transaction_completed_at": [
"The Business owner first transaction completed date does not match the format Y-m-d H:i:s.",
"The Business owner first transaction completed date must be a date before now."
],
"business_owners.0.product_type": [
"The Business owner product type must be a string."
],
"business_owners.0.registered_as_inactive": [
"The Registered as inactive field must be true or false."
]
},
"error_code": null
}{
"status": false,
"message": "Internal server error occurred.",
"data": null,
"errors": null,
"error_code": "server_error"
}Users
Onboard a new Business or Merchant into the ACH application ( SUNSETTING )
This Endpoint is Sunsetting and you should use the stable endpoint. Sunsetting APIs that are still supported but scheduled for deprecation.
POST
/
3p
/
api
/
v2
/
businesses
Onboard a new Business or Merchant into the ACH application ( SUNSETTING )
Authorizations
Token-based authentication using Authorization: Bearer <YOUR_API_KEY> provided by the GrailPay Support Team.
Body
application/json
Example:
true
Example:
"123456"
Example:
"John"
Example:
"Doe"
Example:
"test@example.org"
Example:
"1234567890"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Bank account can be either Plaid or Custom, not both
- Option 1
- Option 2
Show child attributes
Show child attributes
Example:
"2bcf2ac3-38fc-4238-a638-4f092821fc27"
Example:
"21245678932"
⌘I
